EDIT - feature request #6927

The status string in distribution editor should be choosable between symbol and idinVocabulary
08/30/2017 03:29 PM - Katja Luther
Severity: normal

Description

For projects using the status symbols for the distribution status it should be possible to show the symbol in status drop down.

Associated revisions

Revision c8edc5c9 - 09/04/2017 01:37 PM - Katja Luther

ref #6927: add symbol to preferences of distribution editor

History

#1 - 09/01/2017 04:46 PM - Andreas Miuller

Using symbol might be critical as symbol is not necessarily expected to be unique. Also symbol might be expected to be the empty string for e.g.
default values like "native". Empty string as selection might not be a good solution.
The "symbol" is explicitly meant for publishing output and especially for the short output string.

But | can also see that it is confusing for the user to have 2 different versions which differ, especially if generic vocabularies are used where symbol
and idInVocabulary differ explicitly.

Which usage of the string is critical here? The display in the table or in the dropdown? For the dropdown we could use the long label (with maybe
symbol OR idInVoc in brackets or in front. This will prevent from choosing the wrong type.

But if also the display in the table is critical a solution is more difficult. E.g. how to differ empty string from no value available?

But of course this could all be up to the user and configured via preferences (with default to idInVoc).

#2 - 09/04/2017 01:37 PM - Katja Luther

- Status changed from New to In Progress

now the symbol can be added to the label if it is selected in the preferences.
